Skip to content

Get parent thread by child thread ID

GET
/openapi/thread/parentthread/{id}
curl --request GET \
--url https://open-api.replyco.com/openapi/thread/parentthread/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

When threads are merged, child threads maintain a reference to their parent. Use this endpoint to get the parent thread information. Returns null if the thread has no parent.

id
required
string format: uuid

Child thread ID

Returns the parent thread information or null

User is not authenticated or authorized

Child thread with the specified ID was not found